pipeline {
    agent any
    parameters {
        buildSelector(
            defaultSelector: lastSuccessful(),
            description: 'Build for copying artifacts',
            name: 'BUILD_SELECTOR'
        )
    }
    stages {
        stage('Git Checkout') {
            steps {
               checkout scm
            }
        }
        stage('Copy Artifacts') {
            steps {
               copyArtifacts fingerprintArtifacts: true, projectName: 'z-s464962-create-dataset'
               copyArtifacts filter: '*', projectName: 's464962-training'
               copyArtifacts filter: '*', projectName: 's464962-evaluation.eg', optional: true
            }
        }
        stage('Predict') {
            steps {
               sh "chmod +x ./predict.py"
               sh "python ./predict.py"
               archiveArtifacts artifacts: 'predicted_selling_prices.csv', onlyIfSuccessful: true
            }
        }
    }
}
